### Function

# Gtk.ScaleFormatValueFunc

#### Declaration

    char*
    ScaleFormatValueFunc (
      GtkScale* scale,
      double value,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`scale` | `GtkScale`
| The `GtkScale`
| Ownership is not transferred to the callee
`value` | `double`
| The numeric value to format
`user_data` | `gpointer`
| user data

#### Return value

Returns: `char*`
A newly allocated string describing a textual representation of the given numerical value.
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string